Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.jms.message
Class StreamMessageProxy

    java.lang.Object
      org.jboss.jms.message.MessageProxy
          org.jboss.jms.message.StreamMessageProxy

All Implemented Interfaces:
  java.io.Serializable

public class StreamMessageProxy
extends MessageProxy

Thin proxy for a JBossStreamMessage

Author:
  Tim Fox StreamMessageProxy.java,v 1.1 2006/03/08 08:00:34 timfox Exp
See Also:
  Serialized Form

Field Summary

Fields inherited from class org.jboss.jms.message.MessageProxy
`bodyCopied, bodyReadOnly, delegate, deliveryCount, jmsRedelivered, message, messageCopied, propertiesCopied, propertiesReadOnly, state, STATE_NEW, STATE_RECEIVED, STATE_SENT`

Constructor Summary
`StreamMessageProxy(JBossStreamMessage message, int deliveryCount)`

Method Summary
`boolean` | `readBoolean()`
`byte` | `readByte()`
`int` | `readBytes(byte[] value)`
`char` | `readChar()`
`double` | `readDouble()`
`float` | `readFloat()`
`int` | `readInt()`
`long` | `readLong()`
`java.lang.Object` | `readObject()`
`short` | `readShort()`
`java.lang.String` | `readString()`
`void` | `reset()`
`void` | `writeBoolean(boolean value)`
`void` | `writeByte(byte value)`
`void` | `writeBytes(byte[] value)`
`void` | `writeBytes(byte[] value, int offset, int length)`
`void` | `writeChar(char value)`
`void` | `writeDouble(double value)`
`void` | `writeFloat(float value)`
`void` | `writeInt(int value)`
`void` | `writeLong(long value)`
`void` | `writeObject(java.lang.Object value)`
`void` | `writeShort(short value)`
`void` | `writeString(java.lang.String value)`

Methods inherited from class org.jboss.jms.message.MessageProxy
`acknowledge, bodyChange, bodyClear, clearBody, clearProperties, copyMessage, getBooleanProperty, getByteProperty, getDeliveryCount, getDoubleProperty, getFloatProperty, getIntProperty, getJMSCorrelationID, getJMSCorrelationIDAsBytes, getJMSDeliveryMode, getJMSDestination, getJMSExpiration, getJMSMessageID, getJMSPriority, getJMSRedelivered, getJMSReplyTo, getJMSTimestamp, getJMSType, getLongProperty, getMessage, getObjectProperty, getPropertyNames, getShortProperty, getStringProperty, headerChange, isReceived, isSent, propertiesClear, propertyChange, propertyExists, setBooleanProperty, setByteProperty, setDoubleProperty, setFloatProperty, setIntProperty, setJMSCorrelationID, setJMSCorrelationIDAsBytes, setJMSDeliveryMode, setJMSDestination, setJMSExpiration, setJMSMessageID, setJMSPriority, setJMSRedelivered, setJMSReplyTo, setJMSTimestamp, setJMSType, setLongProperty, setObjectProperty, setReceived, setSent, setSessionDelegate, setShortProperty, setStringProperty, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### StreamMessageProxy

    public StreamMessageProxy(JBossStreamMessage message,
                              int deliveryCount)

Method Detail

### readBoolean

    public boolean readBoolean()
                        throws JMSException

  Throws:
    `JMSException`

### readByte

    public byte readByte()
                  throws JMSException

  Throws:
    `JMSException`

### readBytes

    public int readBytes(byte[] value)
                  throws JMSException

  Throws:
    `JMSException`

### readChar

    public char readChar()
                  throws JMSException

  Throws:
    `JMSException`

### readDouble

    public double readDouble()
                      throws JMSException

  Throws:
    `JMSException`

### readFloat

    public float readFloat()
                    throws JMSException

  Throws:
    `JMSException`

### readInt

    public int readInt()
                throws JMSException

  Throws:
    `JMSException`

### readLong

    public long readLong()
                  throws JMSException

  Throws:
    `JMSException`

### readObject

    public java.lang.Object readObject()
                                throws JMSException

  Throws:
    `JMSException`

### readShort

    public short readShort()
                    throws JMSException

  Throws:
    `JMSException`

### readString

    public java.lang.String readString()
                                throws JMSException

  Throws:
    `JMSException`

### reset

    public void reset()
               throws JMSException

  Throws:
    `JMSException`

### writeBoolean

    public void writeBoolean(boolean value)
                      throws JMSException

  Throws:
    `JMSException`

### writeByte

    public void writeByte(byte value)
                   throws JMSException

  Throws:
    `JMSException`

### writeBytes

    public void writeBytes(byte[] value)
                    throws JMSException

  Throws:
    `JMSException`

### writeBytes

    public void writeBytes(byte[] value,
                           int offset,
                           int length)
                    throws JMSException

  Throws:
    `JMSException`

### writeChar

    public void writeChar(char value)
                   throws JMSException

  Throws:
    `JMSException`

### writeDouble

    public void writeDouble(double value)
                     throws JMSException

  Throws:
    `JMSException`

### writeFloat

    public void writeFloat(float value)
                    throws JMSException

  Throws:
    `JMSException`

### writeInt

    public void writeInt(int value)
                  throws JMSException

  Throws:
    `JMSException`

### writeLong

    public void writeLong(long value)
                   throws JMSException

  Throws:
    `JMSException`

### writeObject

    public void writeObject(java.lang.Object value)
                     throws JMSException

  Throws:
    `JMSException`

### writeShort

    public void writeShort(short value)
                    throws JMSException

  Throws:
    `JMSException`

### writeString

    public void writeString(java.lang.String value)
                     throws JMSException

  Throws:
    `JMSException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 JBoss Inc. All Rights Reserved.